$(function(){
	//复选框
	$(".check_yes1,.check_no1").click(function(){
		  if($(this).is(".check_yes1")){
		    
			$(this).removeClass("check_yes1");
			$(this).addClass("check_no1"); 
		  
		  }else{
				$(this).removeClass("check_no1");
		        $(this).addClass("check_yes1");
		}
	      
		  
	 });
});

function bpoSerach(){
	$("#bpoList").html("");
	
	var claimNo = $("#claimNo").val();
	var isbpo = "";
	if($("#isbpo").is(".check_yes1") && $("#nobpo").is(".check_no1")){
		isbpo = "01";
	} else if($("#isbpo").is(".check_no1") && $("#nobpo").is(".check_yes1")){
		isbpo = "02";
	}else if($("#isbpo").is(".check_yes1") && $("#nobpo").is(".check_yes1")){
		isbpo = "0";
	}
	var caseSource = "";
	if($("#caseSource").text()=="产险"){
		caseSource = "1";
	}else if($("#caseSource").text()=="寿险"){
		caseSource = "2";
	}else if($("#caseSource").text()=="健康险"){
		caseSource = "3";
	}
	var scanDateBegin = $("#scanDateBegin").val();
	var scanDateEnd = $("#scanDateEnd").val();
	var feedbackDateBegin = $("#feedbackDateBegin").val();
	var feedbackDateEnd = $("#feedbackDateEnd").val();
	
	if(claimNo=="" && isbpo=="" && caseSource=="" && scanDateBegin=="" && scanDateEnd=="" &&feedbackDateBegin==""&&feedbackDateEnd==""){
		alert("查询条件必录其一");
		return;
	}else if((scanDateBegin!="" && scanDateEnd=="") || (scanDateBegin=="" && scanDateEnd!="")){
		alert("扫描开始时间或结束时间不能为空");
		return;
	}else if((feedbackDateBegin!="" && feedbackDateEnd=="") || (feedbackDateBegin=="" && feedbackDateEnd!="")){
		alert("反馈开始时间或结束时间不能为空");
		return;
	}
	var params = {};
	params.claimNo=claimNo;
	params.isBpo = isbpo;
	params.caseSource = caseSource;
	params.scanDateBegin=scanDateBegin;
	params.scanDateEnd=scanDateEnd;
	params.feedbackDateBegin=feedbackDateBegin;
	params.feedbackDateEnd=feedbackDateEnd;
	
	$("#claimno").val(claimNo);
	$("#bpo").val(isbpo);
	$("#casesource").val(caseSource);
	$("#scandatebegin").val(scanDateBegin);
	$("#scandateend").val(scanDateEnd);
	$("#feedbackdatebegin").val(feedbackDateBegin);
	$("#feedbackdateend").val(feedbackDateEnd);
	
	$.ajax({
		type: "post", //以post方式与后台沟通 
		url : "bpoTimeSerach.do", //与此php页面沟通 
		data: params,
		dataType:'json',
		success:function(data){
			
			
			if(data==null || data==""){
        		$("#bpoList").append("<tr><td colspan=\"9\">查询不到相关内容，请检查查询条件</td></tr>");
        	}
        	
			for(var i = 0;i<data.length;i++){
        		var info = data[i];
        		//var no = i+1;
        		$("#bpoList").append("<tr><td width='7%'>"+info.no+"<input type='hidden' name='no' value='"+info.no+"' /></td><td width='10%'>"+info.batchNo+"</td><td width='14%'>"+info.claimNo+"</td><td width='15%'>"+isNull(info.sScanDate)+"</td><td width='10%'>"+isNull(info.imageCount)+"</td><td width='11%'>"+caseSourceCh(info.caseSource)+"</td><td width='11%'>"+isNull(info.scanDiv)+"</td><td width='15%'>"+info.sFeedbackDate+"</td><td width='8%'>"+info.limitTime+"</td></tr>");
        		
        	}
		},error:function(data){
			alert("系统异常，请稍后再试");
			return;
		}
		
	});
	
	
}

function caseSourceCh(value){
	var ch="";
	if(value=="1"){
		ch="产险";
	}else if(value=="2"){
		ch="寿险";
	}else if(value=="3"){
		ch="健康险";
	}
	return ch;
}


function isNull(a){
	
	if(a==null){
		return "";
	}else{
		return a;
	}
	
	
}


function execlExport() {

	var claimno = $("#claimno").val();
	var bpo = $("#bpo").val();
	var casesourse = $("#casesource").val();
	var scandatebegin = $("#scandatebegin").val();
	var scandateend = $("#scandateend").val();
	var feedbackdatebegin = $("#feedbackdatebegin").val();
	var feedbackdateend = $("#feedbackdateend").val();
	
	$("#bpoList").val("");
	var nos=document.getElementsByName("no");
	if(nos.length<1){
		alert("无导出数据");
		return;
	}
	SkipByPost("execlExport.do",{claimNo:claimno,isBpo:bpo,caseSource:casesourse,scanDateBegin:scandatebegin,scanDateEnd:scandateend,feedbackDateBegin:feedbackdatebegin,feedbackDateEnd:feedbackdateend});
}